#ifndef MULTIPLEXER_H
#define MULTIPLEXER_H

#include <QObject>
#include "eismultiplexer.h"

class Multiplexer : public QObject
{
	Q_OBJECT
	std::vector<std::shared_ptr<struct eismultiplexer>> multiplexers;
	std::vector<channel_t> channelStates;

public:
	explicit Multiplexer(QObject *parent = nullptr);
	~Multiplexer();
	void probe();

signals:
	void foundDevice(std::shared_ptr<struct eismultiplexer>);
};

#endif // MULTIPLEXER_H
